<?xml version="1.0" encoding="UTF-8"?>

<!--
 *
 * This help file was generated from accsum_shuffle.sci using help_from_sci().
 *
 -->

<refentry version="5.0-subset Scilab" xml:id="accsum_shuffle" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">


  <refnamediv>
    <refname>accsum_shuffle</refname><refpurpose>Randomly shuffles the input.</refpurpose>
  </refnamediv>



<refsynopsisdiv>
   <title>Calling Sequence</title>
   <synopsis>
   y = accsum_shuffle ( x )
   
   </synopsis>
</refsynopsisdiv>

<refsection>
   <title>Parameters</title>
   <variablelist>
   <varlistentry><term>x :</term>
      <listitem><para> a m-by-n, matrix of doubles</para></listitem></varlistentry>
   <varlistentry><term>y :</term>
      <listitem><para> a m-by-n, matrix of doubles, the randomly permuted values.</para></listitem></varlistentry>
   </variablelist>
</refsection>

<refsection>
   <title>Description</title>
   <para>
Randomly shuffles the input.
This function makes use of the grand function and
modifies its state.
   </para>
   <para>
</para>
</refsection>

<refsection>
   <title>Examples</title>
   <programlisting role="example"><![CDATA[
// Use with larger r
x = accsum_wilkinson(10);
for i = 1 : 10
x = accsum_shuffle ( x );
[s1,e1] = accsum_compsum ( x );
[s2,e2] = accsum_dblcompsum ( x );
mprintf("#%5d CS=%e + %e DCS=%e + %e\n",i,s1,e1,s2,e2);
end

   ]]></programlisting>
</refsection>

<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>Michael Baudin, 2010</member>
   </simplelist>
</refsection>

<refsection>
   <title>Bibliography</title>
   <para>"Stability and numerical accuracy of algorithms", Nicolas Higham</para>
   <para>"Handbook of Floating Point Computations", Muller et al</para>
</refsection>
</refentry>
